## waili 19990723

=== Makefile ===
#
#	Root Makefile
#
#   $Id: Makefile,v 4.2.2.1.2.1 1999/07/20 16:15:29 geert Exp $
# 
#   Copyright (C) 1996-1999 Department of Computer Science, K.U.Leuven, Belgium
# 
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
# 
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
# 
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

SUBDIRS =	include lib test
ifeq (man,$(wildcard man))
SUBDIRS +=	man
endif

All:		Rules.config .depend
		set -e; for i in $(SUBDIRS); do $(MAKE) -C $$i; done

Rules.config:
		$(MAKE) -C config

clean:
		rm -f .depend
		set -e; for i in $(SUBDIRS); do $(MAKE) -C $$i clean; done

distclean:	clean
		rm -f Rules.config

config:		dummy
		rm -f Rules.config
		$(MAKE) Rules.config

.depend:
		set -e; for i in $(SUBDIRS); do $(MAKE) -C $$i depend; done
		touch .depend

depend:
		rm -f .depend
		$(MAKE) .depend

dummy:

=== config/Makefile ===
#
#	Makefile for config
#
#   $Id: Makefile,v 4.0.2.1.2.1 1999/07/20 16:15:37 geert Exp $
# 
#   Copyright (C) 1996-1999 Department of Computer Science, K.U.Leuven, Belgium
# 
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
# 
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
# 
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

All:
		./Configure

=== include/Makefile ===
#
#	Makefile for include
#
#   $Id: Makefile,v 4.0.4.1 1999/07/20 16:15:40 geert Exp $
# 
#   Copyright (C) 1996-1999 Department of Computer Science, K.U.Leuven, Belgium
# 
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
# 
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
# 
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

include ../Rules.config


SUBDIRS =	waili

All:
		set -e; for i in $(SUBDIRS); do $(MAKE) -C $$i; done

clean:
		set -e; for i in $(SUBDIRS); do $(MAKE) -C $$i clean; done

depend:
		set -e; for i in $(SUBDIRS); do $(MAKE) -C $$i depend; done



include ../Rules.make

=== lib/Makefile ===
#
#	Makefile for lib
#
#   $Id: Makefile,v 4.0.2.2.2.1 1999/07/20 16:15:51 geert Exp $
# 
#   Copyright (C) 1996-1999 Department of Computer Science, K.U.Leuven, Belgium
# 
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
# 
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
# 
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

include ../Rules.config


LIBOBJS =	Channel.o Color.o Image.o LChannel.o LChannelC.o LChannelCR.o \
		LChannelR.o Lifting.o NTChannel.o Storage.o Timer.o Util.o \
		Wavelet.o Wavelet_CDF_1_x.o Wavelet_CDF_2_x.o \
		Wavelet_CDF_4_x.o Wavelet_JPEG2000.o

LIB =		libwaili.a

All:		$(LIB)

$(LIB):		$(LIBOBJS)
		rm -f $(LIB)
		$(AR) rc $(LIB) $(LIBOBJS)
		$(RANLIB) $(LIB)

depend:
		rm -f .depend
		$(CXX) $(CFLAGS) -M -E *.C > .depend

clean:
		rm -f .depend *.o *.a


include ../Rules.make

=== man/Makefile ===
#
#	Makefile for LaTeX2e documents
#
#   $Id: Makefile,v 4.6.2.1.2.1 1999/07/20 16:16:16 geert Exp $
# 
#   Copyright (C) 1996-1999 Department of Computer Science, K.U.Leuven, Belgium
# 
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
# 
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
# 
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

ifeq (Rules.LaTeX.config,$(wildcard Rules.LaTeX.config))
include Rules.LaTeX.config
endif

# -----------------------------------------------------------------------------
# Document and figure definitions and dependencies
# -----------------------------------------------------------------------------

DOC =		Manual

MANPAGES =	Blit.tex \
		Channel.tex \
		Color.tex \
		ColorSpace.tex \
		Compiler.tex \
		Image.tex \
		Lifting.tex \
		Stream.tex \
		Timer.tex \
		Types.tex \
		Util.tex \
		Wavelet.tex

TEXSRCS =	Manual.tex \
		Macros.tex \
		Title.tex \
		Features.tex \
		Design.tex \
		Overview.tex \
		Man.tex $(MANPAGES) \
		Depend.tex \
		Install.tex \
		Demo.tex \
		Credits.tex

TEXSTYLES =	mymanpage.sty

GENFIGS =	WAILI.eps Channel_dep.eps Lifting_dep.eps Wavelet_dep.eps \
		Includes.eps Decomposition.eps

FIGS =		$(GENFIGS)

# -----------------------------------------------------------------------------
# Elementary build rules
# -----------------------------------------------------------------------------

include Rules.LaTeX.build
depend:

=== test/Makefile ===
#
#	Makefile for test
#
#   $Id: Makefile,v 4.2.2.1.2.1 1999/07/20 16:16:19 geert Exp $
# 
#   Copyright (C) 1996-1999 Department of Computer Science, K.U.Leuven, Belgium
# 
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
# 
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
# 
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

include	../Rules.config


ALL =		Example Demo Proof Rangecheck Test Histogram

All:		$(ALL)

Example:	Example.o $(DEPLIBS)
		$(CXX) -o Example Example.o $(LFLAGS)

Demo:		Demo.o $(DEPLIBS)
		$(CXX) -o Demo Demo.o $(LFLAGS)

Proof:		Proof.o $(DEPLIBS)
		$(CXX) -o Proof Proof.o $(LFLAGS)

Test:		Test.o $(DEPLIBS)
		$(CXX) -o Test Test.o $(LFLAGS)

Rangecheck:	Rangecheck.o $(DEPLIBS)
		$(CXX) -o Rangecheck Rangecheck.o $(LFLAGS)

Histogram:	Histogram.o $(DEPLIBS)
		$(CXX) -o Histogram Histogram.o $(LFLAGS)


depend:
		rm -f .depend
		$(CXX) $(CFLAGS) -M -E *.C > .depend

clean:
		rm -f .depend *.o $(ALL) result.pgm out.pgm out.ppm reco.pgm \
		reco.ppm


include ../Rules.make

=== include/waili/Makefile ===
#
#	Makefile for include/waili
#
#   $Id: Makefile,v 3.2.4.1 1999/07/20 16:15:45 geert Exp $
# 
#   Copyright (C) 1996-1999 Department of Computer Science, K.U.Leuven, Belgium
# 
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
# 
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
# 
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#

include ../../Rules.config


RCSOBJS =	Blit.h \
		Channel.h \
		Color.h \
		Compiler.h \
		Image.h \
		LChannel.h \
		LChannelC.h \
		LChannelCR.h \
		LChannelR.h \
		Lifting.h \
		Lifting.inline.h \
		NTChannel.h \
		Storage.h \
		Timer.h \
		Types.h \
		Util.h \
		Wavelet.h

All:		$(RCSOBJS)

depend:		$(RCSOBJS)

clean:

include ../../Rules.make

=== debian/changelog ===
waili (19990723-22.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761792.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 10:11:19 +0000

waili (19990723-22) unstable; urgency=low

  * Bug fix: "please build-depend on libtiff-dev, not libtiff4-dev",
    thanks to Jay Berkenbilt (Closes: #736048).
  * add ${shlibs:Depends} (thanks lintian)

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 06 Jul 2014 18:19:50 +0200

waili (19990723-21) unstable; urgency=low

  * switch to the new source package formats "3.0 (quilt)"
  * added homepage
  * Bug fix: "FTBFS(kfreebsd): patch included", thanks to Christoph Egger
    (Closes: #639201).
  * use dpkg-buildflags , so as to enable fortify

 --  A Mennucc1 <mennucc1@debian.org>  Mon, 13 Jan 2014 13:47:51 +0100

waili (19990723-20) unstable; urgency=low

  * Bug fix: "Please Build-Depends on libjpeg-dev, not libjpeg62-dev",
    thanks to Bill Allombert (Closes: #634641).
  * Bug fix: "Getting rid of unneeded *.la / emptying dependency_libs",
    thanks to codehelp@debian.org</a>; (Closes: #633281).
  * Clean up lintian warnings:
     - debhelper-but-no-misc-depends
     - debian-rules-missing-recommended-target
     - out-of-date-standards-version

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 17 Aug 2011 14:43:43 +0200

waili (19990723-19) unstable; urgency=low

  * depend on libreadline-dev, thanks doko@d.o
  * update standards version, no changes
  * bring debhelper compat to 7, no changes needed
  * clean lintian warning: add copyright in debian/copyright

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 14 Sep 2009 18:50:54 +0200

waili (19990723-18) unstable; urgency=low

  * Depend on texlive-base instead of tetex.
  * Bug fix: "waili - FTBFS: Rangecheck.C:218: error: expected
    primary-expression before &#39;?&#39; token", thanks to Michael
    Ablassmeier,  Sebastian Bober (Closes: #441493).

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 29 Nov 2007 08:48:02 +0100

waili (19990723-17) unstable; urgency=low

  * Bug fix: "FTBFS with GCC 4.2: uses removed minimum/maximum operator",
    thanks to Martin Michlmayr (Closes: #385523).

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 24 May 2007 18:49:42 +0200

waili (19990723-16) unstable; urgency=low

  * build with gcc 4.0  (closes: #332831)
    - package libwaili renamed to libwaili1c2 (version 1 , c++ abi 2)
    - >?  operator is deprecated
    - I ignore warns that Wavelet class would need a virtual destructor...
  * build-dep on libreadline5-dev
  * Policy bumped to 3.6.2 (no changes).
  * correct dangling symlink Manual.ps.gz (closes: #326939) (closes: #332944)

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 10 Oct 2005 10:37:56 +0200

waili (19990723-15) unstable; urgency=low

  * corrections for gcc 3.4 

 -- A Mennucc1 <mennucc1@debian.org>  Thu,  3 Feb 2005 17:35:42 +0100

waili (19990723-14) unstable; urgency=low

  * corrections for latest C++

 -- A Mennucc <mennucc1@debian.org>  Mon, 27 Dec 2004 16:45:10 +0100

waili (19990723-13) unstable; urgency=low

  * build-dep on tetex-bin and libtiff4
  * better Demo, with readline support

 -- A Mennucc1 <mennucc1@debian.org>  Sun,  1 Aug 2004 11:46:21 +0200

waili (19990723-12) unstable; urgency=low

  * build-dep on tetex-bin

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 18 Jul 2004 09:56:53 +0200

waili (19990723-11) unstable; urgency=low

  * this time FTBFS on LaTeX
  * corrected errors in import and export of PNM images

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 15 Jul 2004 18:54:27 +0200

waili (19990723-10) unstable; urgency=low

  * again FTBFS when computing dependencies (rats)
  * /usr/lib/waili/test    is empty

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 14 Jul 2004 14:33:36 +0200

waili (19990723-9) unstable; urgency=low

  * section is libdevel
  * Bug fix: "waili: FTBFS: Failure in making dependencies", thanks to
    Daniel Schepler (Closes: #259139) for spotting it.

 -- A Mennucc1 <mennucc1@debian.org>  Wed, 14 Jul 2004 09:54:36 +0200

waili (19990723-8) unstable; urgency=low

  * changed for new libstdc++ (ISO c++ standard) of gcc 3.2
  * Makefile makeup for newer libtool
  * This version introduces some new calls and is slightly different
    from upstream
  * example programs go into /usr/lib/libwaili/test not /usr/share/libwaili/test  * the Enhance method was using wrong rounding
  
 -- A Mennucc1 <mennucc1@debian.org>  Wed, 30 Jun 2004 16:40:11 +0200
  

waili (19990723-7) unstable; urgency=low

  * corrected Makefiles for libtool 1.5    (Closes: #213752).
  * (hopefully) corrected includes  to avoid warnings
  
 -- A Mennucc1 <mennucc1@debian.org>  Sun, 26 Oct 2003 13:39:02 +0000

waili (19990723-6) unstable; urgency=low

  * thanks to John Lightsey <john@nixnuts.net>, who  (closes: #192042)

 -- A Mennucc1 <debian@Tonelli.sns.it>  Sun, 20 Jun 2004 15:22:30 +0200

waili (19990723-5) unstable; urgency=low

  * build_deps: it dont need xfig ; and I have added .INTERMIDIATE so
  * now it really doesnt need tetex to rebuild
  * added Feof to Stream class
  * added some features to Demo (as, quantize, and separate RGB YUV) 
  * removed build-dep: libc6-dev
  
 -- A Mennucc1 <debian@Tonelli.sns.it>  Tue, 24 Jul 2001 12:35:10 +0200

waili (19990723-4.1) unstable; urgency=low

  * Non-maintainer upload.
  * standard changed to depricate CLK_TCK in favor of CLOCKS_PER_SEC,
    not defined in the compile.  Closes: #104599

 -- LaMont Jones <lamont@smallone.fc.hp.com>  Fri, 13 Jul 2001 15:00:01 -0600
  

waili (19990723-4) unstable; urgency=low

  * these build_deps are driving me mad; I added tetex-* all  (closes: 95139, 96749)

 -- A Mennucc1 <debian@Tonelli.sns.it>  Tue, 15 May 2001 14:29:34 +0200

waili (19990723-3) unstable; urgency=low

  * dirty hack for dependencies (closes: #96210)

 -- A Mennucc1 <debian@Tonelli.sns.it>  Fri,  4 May 2001 15:04:43 +0200

waili (19990723-2) unstable; urgency=low

  * added 'debhelper' and 'transfig' build dependencies (closes: #95139)



=== debian/control ===
Source: waili
Section: devel
Build-Depends: libtool, libtool-bin, libjpeg-dev, libtiff-dev, zlib1g-dev, transfig, debhelper (>= 7), texlive-base, libreadline-dev
Priority: optional
Maintainer: A Mennucc1 <mennucc1@debian.org>
Standards-Version: 3.9.2
Homepage: http://nalag.cs.kuleuven.be/research/software/wavelets/

Package: libwaili-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libwaili1c2 (=${binary:Version}), libc6-dev
Provides: libwaili-doc, libwaili-test
Description: WAILI is a wavelet transform library (develop. files)
 from the web page:  http://www.cs.kuleuven.ac.be/~wavelets/
 "WAILI is a wavelet transform library. It includes some basic image
 processing operations based on the use of wavelets and forms the
 backbone of more complex image processing operations. "
 .
 This package contains what is needed for developers:
    static library, shared library, include files
 This package provides also documentation and testing sample programs

Package: libwaili1c2
Conflicts: libwaili, libwaili1, libwaili1c102
Section: libs
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: WAILI is a wavelet transform library
 from the web page:  http://www.cs.kuleuven.ac.be/~wavelets/
 .
 "WAILI is a wavelet transform library. It includes some basic image
 processing operations based on the use of wavelets and forms the
 backbone of more complex image processing operations. "

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# shared library versions, option 1
version=1.0.0
major=1
# option 2, assuming the library is created as src/.libs/libfoo.so.2.0.5 or so
#version=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/[0-9]+\.[0-9]+\.[0-9]+$$/)) print substr($$0,RSTART)}'`
#major=`ls src/.libs/lib*.so.* | \
# awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:
	dh_testdir	
	# Add here commands to compile the package.
	./config/Configure $(shell dpkg-buildflags --export=configure) 
	$(MAKE)  LIBVERSION=$(major)
	touch build-arch-stamp

build-indep:
	#nothing to to be done here

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp
	# Add here commands to clean up after the build process.
	[ -f Rules.config ] ||  ./config/Configure 
	$(MAKE) clean   LIBVERSION=$(major)
	rm -f Rules.config
	dh_clean

install-arch: build-arch
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	# Add here commands to install the package into debian/tmp.
	$(MAKE)  install  LIBVERSION=$(major) DESTDIR=`pwd`/debian/tmp
	#dh_link usr/share/doc/libwaili usr/share/doc/libwaili-dev
	dh_link usr/lib/libwaili/test usr/share/doc/libwaili/examples 
	dh_link usr/lib/libwaili/test usr/share/doc/libwaili-dev/examples 
	rm `pwd`/debian/tmp/usr/lib/libwaili.la


# Build architecture-independent files here.
binary-indep:
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build-arch install-arch
	dh_testdir
	dh_testroot
        #
        # build libwaili${major} package by moving files from tmp
        #
	dh_movefiles
	dh_installdocs	
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_install debian/tmp/usr/share/doc/libwaili/Manual.ps usr/share/doc/libwaili-dev
	dh_compress
	dh_link  usr/share/doc/libwaili-dev/Manual.ps.gz usr/share/doc/libwaili1c2/Manual.ps.gz
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps  -L  libwaili1c2  -l debian/libwaili1c2/usr/lib
	#
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build build-arch build-indep clean binary binary-indep binary-arch install-arch
